org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SackTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SackTest

- Direct Known Subclasses:
    SackTest.Traversals

      public abstract class SackTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SackTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SackTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()`
    `void` | `g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack()`
    `void` | `g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()` Deprecated.
    `void` | `g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()`
    `void` | `g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()` Deprecated.
    `void` | `g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()`
    `void` | `g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()`
    `void` | `g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()`
    `void` | `g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()`
    `void` | `g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()`
    `void` | `g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()`
    `abstract Traversal<Vertex,Integer>` | `get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()`
    `abstract Traversal<Vertex,Double>` | `get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack(Object v1Id)`
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()` Deprecated.
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()`
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()` Deprecated.
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()`
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack(Object v1Id)`
    `abstract Traversal<Vertex,Double>` | `get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()`
    `abstract Traversal<Vertex,BigDecimal>` | `get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()`
    `abstract Traversal<Vertex,String>` | `get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()`
    `abstract Traversal<Vertex,Map>` | `get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SackTest

          public SackTest()

  - ### Method Detail

    - #### get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack

          public abstract Traversal<Vertex,String> get_g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()

    - #### get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum

          public abstract Traversal<Vertex,Double> get_g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()

    - #### get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack

          public abstract Traversal<Vertex,Double> get_g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()

    - #### get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum

          @Deprecated
          public abstract Traversal<Vertex,Double> get_g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()

      Deprecated.

    - #### get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack

          @Deprecated
          public abstract Traversal<Vertex,Double> get_g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()

      Deprecated.

    - #### get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack

          public abstract Traversal<Vertex,Map> get_g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()

    - #### get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public abstract Traversal<Vertex,Double> get_g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack(Object v1Id)

    - #### get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack

          public abstract Traversal<Vertex,Integer> get_g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()

    - #### get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack

          public abstract Traversal<Vertex,Double> get_g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack(Object v1Id)

    - #### get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public abstract Traversal<Vertex,BigDecimal> get_g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()

    - #### get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack

          public abstract Traversal<Vertex,Double> get_g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()

    - #### g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack

          public void g_withSackXhelloX_V_outE_sackXassignX_byXlabelX_inV_sack()

    - #### g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum

          public void g_withSackX0X_V_outE_sackXsumX_byXweightX_inV_sack_sum()

    - #### g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum

          @Deprecated
          public void g_withSackX0X_V_outE_sackXsum_weightX_inV_sack_sum()

      Deprecated.

    - #### g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack

          public void g_withSackX0X_V_repeatXoutE_sackXsumX_byXweightX_inVX_timesX2X_sack()

    - #### g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack

          @Deprecated
          public void g_withSackX0X_V_repeatXoutE_sackXsum_weightX_inVX_timesX2X_sack()

      Deprecated.

    - #### g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack

          public void g_withSackXmap__map_cloneX_V_out_out_sackXmap_a_nameX_sack()

    - #### g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public void g_withSackX1_sumX_VX1X_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()

    - #### g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack

          public void g_withBulkXfalseX_withSackX1_sumX_V_out_barrier_sack()

    - #### g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack

          public void g_withBulkXfalseX_withSackX1_sumX_VX1X_localXoutEXknowsX_barrierXnormSackX_inVX_inXknowsX_barrier_sack()

    - #### g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack

          public void g_withSackXBigInteger_TEN_powX1000X_assignX_V_localXoutXknowsX_barrierXnormSackXX_inXknowsX_barrier_sack()

    - #### g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack

          public void g_withSackX2X_V_sackXdivX_byXconstantX3_0XX_sack()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.